Subject: Re: bug#60860: 29.0.60; set save-silently to t can not avoid messages when saving files

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Jan 2023 16:30:45 +0200

> Date: Mon, 16 Jan 2023 21:46:24 +0800
> From: From: Eason Huang <[email-masked]>
> 
> Hi Emacs dev team,
> 
> I tried to set save-silently to t, but the saving file message will
> still show on echo area, but it disappear immediately.
> 
> Steps to reproduce:
> 
> 1. emacs -Q to launch Emacs
> 2. eval (setq save-silently t)
> 3. C-x, C-f open any file and edit the file
> 4. C-x, C-s save the file
>    Now you will see the message showing in the echo area in a short time

This is macOS specific, I think, due to differences in how redisplay
works on darwin.  I don't see this on GNU/Linux and on MS-Windows.  So
it looks like the implementation does what it's supposed to do, and
unless someone has ideas how to improve the result on macOS, I think
we should close this bug as wontfix.